cascading.flow.planner.rule.util

## Class ResultTree

- java.lang.Object
- - cascading.flow.planner.rule.util.ResultTree

-     public class ResultTree
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResultTree.Delegate`
    `static class` | `ResultTree.Path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultTree()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends ElementGraph>` | `getChildren(ElementGraph parent)`
    `ResultTree.Path` | `getEdge(ElementGraph parent, ElementGraph child)`
    `ResultTree.Path` | `getIncomingEdge(ElementGraph parent)`
    `void` | `setChildren(ElementGraph parent, List<? extends ElementGraph> children)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultTree

          public ResultTree()

  - ### Method Detail

    - #### setChildren

          public void setChildren(ElementGraph parent,
                         List<? extends ElementGraph> children)

    - #### getChildren

          public List<? extends ElementGraph> getChildren(ElementGraph parent)

    - #### getEdge

          public ResultTree.Path getEdge(ElementGraph parent,
                                ElementGraph child)

    - #### getIncomingEdge

          public ResultTree.Path getIncomingEdge(ElementGraph parent)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.